Subject: Re: bug#58221: nautilus: Crashes loading KgxNautilus plugin twice (problems with NAUTILUS_EXTENSION_PATH)

From: Tobias Kortkamp <[email-masked]>
Date: Sat, 1 Oct 2022 16:40:58 +0200

On Sat, Oct 01, 2022 at 02:32:43PM +0200, Tobias Geerinckx-Rice wrote:
> Hi… Tobias,
> 
> Tobias Kortkamp 写道：
> > ** (org.gnome.Nautilus:3664): WARNING **: 13:25:09.882: Tracker 2
> > migration: Couldn't run `tracker3`: Failed to execute child process
> > “tracker3” (No such file or directory)
> 
> Could you install ‘tracker@3’ into the same profile, and try again?  This
> part might be a relatively simple input fix.

Then I get

** (org.gnome.Nautilus:11879): WARNING **: 16:07:20.550: Tracker 2 migration: Failed to parse key file data: Key file contains line “usage: tracker3 [--version] [--help]” which is not a key-value pair, group, or comment

Same crash as before otherwise.

According to
https://gitlab.gnome.org/GNOME/nautilus/-/blob/42.2/src/nautilus-tag-manager.c#L941
Nautilus tries to export Tracker2 metadata with

tracker3 export --2to3 files-starred --keyfile

If I run that command manually I just get the usage screen. In fact
none of the tracker3 subcommands actually seem to work like they do on
Fedora. Not even "help".

Best regards